MeiroDocs

Push Notification Exports

+ Entity's `status` possible values: `waiting`, `running`, `finished`, `error`, `canceled`

Section: Group Push Notification Exports. Base URL: https://instance_name.meiro.io/api/.

Push Notification Exports [/push_notifications/{push_notification_id}/exports{?limit,offset}]

  • Entity's status possible values: waiting, running, finished, error, canceled

List All Push Notification Segment Exports [GET]

Required feature (one of):

  • push_notifications/view

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "push_notification_exports": [
        {
            "id": 100,
            "user_id": 200,
            "segments": [
                {
                    "id": 100,
                    "name": "segment name",
                    "type": "custom",
                    "deleted": false
                }
            ],
            "segment_name": "segment name example",
            "name": "export example",
            "status": "running",
            "stats": {
                "statuses_history": {
                    "waiting": "2017-01-01 15:35:00",
                    "running": "2017-01-01 15:35:00",
                    "finished": "2017-01-01 15:35:00"
                }
            },
            "message_counts": {
                "total": 123,
                "sent": 100,
                "excluded_invalid": 3,
                "excluded_by_frequency_cap": 20
            },
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null
    }
}

Push Notification Export [/push_notifications/{push_notification_id}/exports/{export_id}]

  • Entity's status possible values: waiting, running, finished, error, canceled

Retrieve a Push Notification Segment Export [GET]

Required feature (one of):

  • push_notifications/view

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "push_notification_export": {
        "id": 100,
        "user_id": 200,
        "segments": [
            {
                "id": 100,
                "name": "segment name",
                "type": "custom",
                "deleted": false
            }
        ],
        "name": "export example",
        "status": "running",
        "stats": {
            "statuses_history": {
                "waiting": "2017-01-01 15:35:00",
                "running": "2017-01-01 15:35:00",
                "finished": "2017-01-01 15:35:00"
            }
        },
        "message_counts": {
            "total": 123,
            "sent": 100,
            "excluded_invalid": 3,
            "excluded_by_frequency_cap": 20
        },
        "created": "2017-01-01 15:35:00"
    }
}
  • Response 404 (application/json)
{
    "message": "Push notification export not found"
}

Cancel Push Notification Segment Export [DELETE]

Required feature (one of):

  • push_notifications/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "push_notification_export": {
        "id": 100,
        "user_id": 200,
        "segments": [
            {
                "id": 100,
                "name": "segment name",
                "type": "custom",
                "deleted": false
            }
        ],
        "name": "export example",
        "status": "running",
        "stats": {
            "statuses_history": {
                "waiting": "2017-01-01 15:35:00",
                "running": "2017-01-01 15:35:00",
                "finished": "2017-01-01 15:35:00"
            }
        },
        "message_counts": {
            "total": 123,
            "sent": 100,
            "excluded_invalid": 3,
            "excluded_by_frequency_cap": 20
        },
        "created": "2017-01-01 15:35:00"
    }
}
  • Response 404 (application/json)
{
    "message": "Push notification export not found"
}
  • Response 400 (application/json)
{
    "message": "Finished export cannot be canceled"
}

Trashed Push Notifications [/push_notifications/trash{?limit,offset,searched_text}]

List All Trashed Push Notifications [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • searched_text (string, optional) - Searched items' name
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "trashed_push_notifications": [
        {
            "id": "983d437d-eac6-423b-beb5-40a619be332f",
            "name": "My push notification",
            "title_template": "title",
            "body_template": "body",
            "modified": "2018-11-07T10:19:48Z",
            "modified_by": 1,
            "last_activation": "2018-11-07T10:19:48Z",
            "last_activation_by": 1,
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": 0,
        "searched_text": null
    }
}

Trashed Push Notification [/push_notifications/trash/{push_notification_id}]

Restore a Trashed Push Notification [PATCH]

Required feature: push_notifications/edit

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "push_notification": {
        "id": "983d437d-eac6-423b-beb5-40a619be332f",
        "name": "My push notification",
        "title_template": "title",
        "body_template": "body",
        "modified": "2018-11-07T10:19:48Z",
        "modified_by": 1,
        "last_activation": "2018-11-07T10:19:48Z",
        "last_activation_by": 1,
    }
}

On this page